Package org.apache.groovy.json.internal

# Enum Type

java.lang.Object
java.lang.Enum<Type>
org.apache.groovy.json.internal.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Type>`, `java.lang.constant.Constable`

    public enum Type
    extends java.lang.Enum<Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DOUBLE` |
  `FALSE` |
  `INTEGER` |
  `LIST` |
  `MAP` |
  `NULL` |
  `STRING` |
  `TRUE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTEGER

    public static final Type INTEGER

  - ### STRING

    public static final Type STRING

  - ### DOUBLE

    public static final Type DOUBLE

  - ### TRUE

    public static final Type TRUE

  - ### FALSE

    public static final Type FALSE

  - ### NULL

    public static final Type NULL

  - ### MAP

    public static final Type MAP

  - ### LIST

    public static final Type LIST

- ## Method Details

  - ### values

    public static Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Type valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null